- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | Protected Member Functions

# QStyleOptionDockWidgetV2 Class Reference

Search for all occurrences

## Detailed Description

Definition at line 522 of file qstyleoption.h.

`#include <qstyleoption.h>`

Inheritance diagram for QStyleOptionDockWidgetV2:
[legend]

List of all members.

## Public Types
enum | StyleOptionVersion { Version = 2 }
## Public Member Functions
| QStyleOptionDockWidgetV2 ()
| QStyleOptionDockWidgetV2 (const QStyleOptionDockWidgetV2 &other)
| QStyleOptionDockWidgetV2 (const QStyleOptionDockWidget &other)
QStyleOptionDockWidgetV2 & | operator= (const QStyleOptionDockWidget &other)
## Public Attributes
bool | verticalTitleBar
## Protected Member Functions
| QStyleOptionDockWidgetV2 (int version)

## Member Enumeration Documentation

enum StyleOptionVersion

Search for all occurrences

Enumerator:

  Version | Search for all occurrences

Reimplemented from QStyleOptionDockWidget.

Definition at line 525 of file qstyleoption.h.

    { Version = 2 };

## Constructor & Destructor Documentation

QStyleOptionDockWidgetV2 | ( |  | ) |

QStyleOptionDockWidgetV2 | ( | const QStyleOptionDockWidgetV2 & | other | ) | `[inline]`

Definition at line 530 of file qstyleoption.h.

            : QStyleOptionDockWidget(Version) { *this = other; }

QStyleOptionDockWidgetV2 | ( | const QStyleOptionDockWidget & | other | ) |

QStyleOptionDockWidgetV2 | ( | int | version | ) | `[protected]`

## Member Function Documentation

QStyleOptionDockWidgetV2& operator= | ( | const QStyleOptionDockWidget & | other | ) |

## Member Data Documentation

bool verticalTitleBar

Search for all occurrences

Definition at line 527 of file qstyleoption.h.

The documentation for this class was generated from the following file:

- QtGui/qstyleoption.h

QStyleOptionDockWidgetV2 QStyleOptionDockWidgetV2 QStyleOptionDockWidgetV2 QStyleOptionDockWidgetV2 QStyleOptionDockWidgetV2 QStyleOptionDockWidgetV2 QStyleOptionDockWidgetV2 QStyleOptionDockWidgetV2 QStyleOptionDockWidgetV2 QStyleOptionDockWidgetV2
QStyleOptionDockWidgetV2 QStyleOptionDockWidgetV2 QStyleOptionDockWidgetV2 QStyleOptionDockWidgetV2 QStyleOptionDockWidgetV2 QStyleOptionDockWidgetV2 QStyleOptionDockWidgetV2 QStyleOptionDockWidgetV2 QStyleOptionDockWidgetV2 QStyleOptionDockWidgetV2